Bug 38255 - Cannot remove/purge damaged extension
Summary: Cannot remove/purge damaged extension
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-13 08:18 UTC by Timur
Modified: 2017-10-10 09:08 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Timur 2011-06-13 08:18:31 UTC
Sometimes, extension can be partially downloaded, for example 90%. We can still install it, because there is no integrity check (that might me another bug). But, we cannot Remove it from Extension Manager. Deleting files from user profile crashes LO, and we get "runtime error" in soffice.bin.

What we need is a "Purge extension" or some other way to completely remove it, including any configuration files, configmgr.ini, backenddb.xml, uno_packages.db, etc.

For issues like this, you should Add Component "Extensions", like in https://bugs.freedesktop.org/show_bug.cgi?id=33179.
Comment 1 Björn Michaelsen 2011-12-23 12:21:17 UTC Comment hidden (obsolete)
Comment 2 Timur 2012-04-04 02:00:09 UTC
I decided to close this as WONTFIX because it open for long time, and there are more important issues. 
It's not so important and we can create a new profile without a damaged extension, although it would require to customize profile again.